Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.clickthrough
Class ClickThroughServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.bea.p13n.tracking.clickthrough.ClickThroughServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

public class ClickThroughServlet
extends HttpServlet

This servlet redirects a user to an external site and fires off a click event. The type of click event to be fired is decided based on `HttpServletRequest` parameters.

See Also:
  Serialized Form

Constructor Summary
`ClickThroughServlet()`

Method Summary
`void` | `doGet(HttpServletRequest req, HttpServletResponse res)`
`void` | `doPost(HttpServletRequest req, HttpServletResponse res)`
`void` | `init(ServletConfig config)` Initializes the servlet.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClickThroughServlet

    public ClickThroughServlet()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Initializes the servlet.

  Specified by:
    `init` in interface `Servlet`
  Overrides:
    `init` in class `GenericServlet`
  Parameters:
    `config` - a ServletConfig configuration
  Throws:
    ``ServletException``
    `ServletException`

### doPost

    public void doPost(HttpServletRequest req,
                       HttpServletResponse res)
                throws ServletException,
                       IOException

  Overrides:
    `doPost` in class `HttpServlet`
    `ServletException`
    `IOException`

### doGet

    public void doGet(HttpServletRequest req,
                      HttpServletResponse res)
               throws ServletException,
                      IOException

  Overrides:
    `doGet` in class `HttpServlet`
    `ServletException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved